<?php


/*
Plugin Name: News Manager
Description: Publish posts/articles on your website
Version: 2.0 Mod 0.1
Author: Rogier Koppejan
Author URI: http://rxgr.nl/getsimple/
Mod Author: Alessio_romaTM
Mod Author URI: http://www.lafucinadiharad.tk
*/


# get correct id for plugin
$thisfile = basename(__FILE__, '.php');

# register plugin
register_plugin(
  $thisfile,
  'News Manager',
  '2.0 Mod 0.1',
  'Rogier Koppejan',
  'http://rxgr.nl/getsimple/',
  'Publish posts/articles on your website, Mod Version by Alessio_romaTM',
  'plugins',
  'nm_admin'
);


# hooks
add_action('plugins-sidebar', 'createSideMenu', array($thisfile, 'News Manager'));
add_filter('content', 'nm_site');

# includes
require_once('news_manager/inc/common.php');

# languages
i18n_merge('news_manager') || i18n_merge('news_manager', 'en_US');


/*******************************************************
 * @function nm_admin
 * @action back-end main function
 */
 function nm_admin() {
  if (nm_env_check()) {
    if (isset($_POST['post'])) {
      nm_save_post();
      nm_admin_panel();
    } elseif (isset($_POST['settings'])) {
      nm_save_settings();
      nm_admin_panel();
    } elseif (isset($_GET['delete'])) {
      nm_delete_post($_GET['delete']);
      nm_admin_panel();
    } elseif (isset($_GET['edit'])) {
      if ($_GET['edit'] == 'settings')
        nm_edit_settings();
      elseif (!empty($_GET['edit']))
        nm_edit_post($_GET['edit']);
      else
        nm_edit_post(nm_uniqid());
    } else {
      nm_admin_panel();
    }
  }
}


/*******************************************************
 * @function nm_site
 * @action front-end main function
 */
function nm_site($content)
{
  global $NMPAGEURL;
  $url = strval(get_page_slug(FALSE));
  if ($url == $NMPAGEURL) {
    $content = '';
    if (isset($_POST['search'])) {
      nm_show_search_results();
    } elseif (isset($_GET['page'])) {
      $index = $_GET['page'];
      nm_show_page($index);
    } elseif (isset($_GET['archive'])) {
      $archive = $_GET['archive'];
      nm_show_archive($archive);
    } elseif (isset($_GET['tag'])) {
      $tag = $_GET['tag'];
      nm_show_tag($tag);
    } elseif (isset($_GET['post'])) {
      $id = $_GET['post'];
      nm_show_post($id);
    } else {
      nm_show_page();
    }
  }
  return $content;
}



/*
x private
x ?archive=
x ?search=
x date format should be taken from global GS settings
uid in edit format
user
*/

?>
