<?php

/**
 * Common variables used by the GetSimple News Manager Plugin.
 */


# definitions
define('NMCONFIG', GSDATAOTHERPATH . 'news_manager.xml');
define('NMDATAPATH', GSDATAPATH  . 'posts/');
define('NMINCPATH', GSPLUGINPATH . 'news_manager/inc/');
define('NMTEMPLATEPATH', GSPLUGINPATH . 'news_manager/template/');


# includes
require_once(NMINCPATH . 'functions.php');
require_once(NMINCPATH . 'settings.php');
require_once(NMINCPATH . 'admin.php');
require_once(NMINCPATH . 'site.php');
require_once(NMINCPATH . 'sidebar.php');


if (file_exists(NMCONFIG)) {
  # load saved settings
  $data = getXML(NMCONFIG);
  $NMPAGEURL = $data->page_url;
  $NMSHOWEXCERPT = $data->show_excerpt;
  $NMEXCERPTLENGTH = $data->excerpt_length;
  $NMPOSTSPERPAGE = $data->posts_per_page;
  $NMRECENTPOSTS = $data->recent_posts;
} else {
  # load default values
  $NMPAGEURL = 'index';
  $NMSHOWEXCERPT = '';
  $NMEXCERPTLENGTH = 350;
  $NMPOSTSPERPAGE = 8;
  $NMRECENTPOSTS = 5;
}

# make settings global
global $NMPAGEURL, $NMSHOWEXCERPT, $NMEXCERPTLENGTH, $NMPOSTSPERPAGE, $NMRECENTPOSTS;


?>
